<!DOCTYPE html>
<html>
    <head>
    </head>
    <body>

    <form name="form1" action="#">
      <input type='text' name='text1' placeholder="login"/>
      <input type='text' name='text2' placeholder="mdp"/>
      <input type="submit" name="submit" value="Submit" onclick="validerLogin()"/>
    </form>
    <script>

    function validerLogin()
    {
      var password = ['bonjour', 'aurevoir', 'mdp', 'salut']
      var login = ['chat', 'chien', 'oiseau', 'cheval']
      validUser = false

      for (let i = 0; i <= login.length; i++)
      {
          if(this.form1.text1.value == login[i] && this.form1.text2.value == password[i])
          {

            validUser = true
            alert("le login et le mdp sont valides");
          }

      }
      if(validUser == false)
      {
          alert("le login et le mdp ne sont pas valides");

      }

    }
    </script>
    </body>
</html>
